package digital.laboratory.platform.identifybook.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023/5/24 10:15
 */
@Data
@ApiModel(value = "EntrustCaseDTO对象", description = "封装委托及案件相关属性")
public class EntrustCaseDTO {

    @ApiModelProperty(value = "委托Id")
    private String id;

    @ApiModelProperty(value = "委托编号")
    private String entrustmentNo;

    @ApiModelProperty(value = "对应的流程实例Id")
    private String processInstanceId;

    @ApiModelProperty(value = "受理Id, 通过这个可以得到鉴定号")
    private String identificationId;

    @ApiModelProperty(value = "鉴定委托单位名称")
    private String clientOrgName;

    @ApiModelProperty(value = "委托鉴定专业")
    private String identificationDomain;

    @ApiModelProperty(value = "鉴定机构名称")
    private String identificationOrgName;

    @ApiModelProperty(value = "鉴定要求")
    private String entrustRequirement;

    @ApiModelProperty(value = "其他鉴定要求")
    private String otherIdentificationRequests;

    @ApiModelProperty(value = "是否由委托方指定鉴定方法")
    private Boolean isClientSpecifiedMethod;

    @ApiModelProperty(value = "委托方指定的鉴定方法")
    private String clientSpecifiedMethod;

    @ApiModelProperty(value = "检验的其他说明(鉴定事项确认书中要求, 审核人填写)")
    private String otherIdentificationNotes;

    @ApiModelProperty(value = "送检人1姓名")
    private String deliverer1Name;

    @ApiModelProperty(value = "送检人1职务")
    private String deliverer1Position;

    @ApiModelProperty(value = "送检人1证件名称")
    private String deliverer1Cert;

    @ApiModelProperty(value = "送检人1证件编号")
    private String deliverer1Id;

    @ApiModelProperty(value = "送检人1电话")
    private String deliverer1Phone;

    @ApiModelProperty(value = "送检人2姓名")
    private String deliverer2Name;

    @ApiModelProperty(value = "送检人2职务")
    private String deliverer2Position;

    @ApiModelProperty(value = "送检人2证件名称")
    private String deliverer2Cert;

    @ApiModelProperty(value = "送检人2证件编号")
    private String deliverer2Id;

    @ApiModelProperty(value = "送检人2电话")
    private String deliverer2Phone;

    @ApiModelProperty(value = "鉴定编号")
    private String identificationNo;

    @ApiModelProperty(value = "受理编号")
    private String acceptNo;

    @ApiModelProperty(value = "受理人user_id")
    private String acceptUser;

    @ApiModelProperty(value = "受理时间")
    private Date acceptTime;

    @ApiModelProperty(value = "受理意见")
    private String acceptComments;

    @ApiModelProperty(value = "案件编号")
    private String caseNo;

    @ApiModelProperty(value = "第三方系统(如现勘系统、案事件系统)编号")
    private String thirdPartySysNo;

    @ApiModelProperty(value = "案件名称任务名称")
    private String caseName;

    @ApiModelProperty(value = "案发时间")
    private Date happenTime;

    @ApiModelProperty(value = "案发地详细地点")
    private String caseAddress;

    @ApiModelProperty(value = "案件所属机构")
    private String caseOwnOrgId;

    @ApiModelProperty(value = "案情简要")
    private String caseBrief;

    @ApiModelProperty(value = "业务类型：业务类型  10000  委托检验鉴定 10001-NPS案件  10002-毛发案件 20000  任务检验鉴定 20001-毛发任务 20002-污水任务 30000   筛查检验鉴定 30001-筛查")
    private Integer businessType;

    @ApiModelProperty(value="原始系统中的委托ID")
    private String synEntrustId;


}
