package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.time.LocalDateTime;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 案件、事件
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_case_event")
@ApiModel(value="CaseEvent对象", description="案件、事件")
public class CaseEvent extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;

    /**
     * 案件编号
     */
    @ApiModelProperty(value="案件编号")
    private String caseNo;

    /**
     * 第三方系统(如现勘系统、案事件系统)编号
     */
    @ApiModelProperty(value="第三方系统(如现勘系统、案事件系统)编号")
    private String thirdPartySysNo;

    /**
     * 案件名称任务名称
     */
    @ApiModelProperty(value="案件名称任务名称")
    private String caseName;

    /**
     * 案件类型
     */
    @ApiModelProperty(value="案件类型")
    private String caseType;

    /**
     * 案发时间
     */
    @ApiModelProperty(value="案发时间")
    private LocalDateTime happenTime;

    /**
     * 案发地详细地点
     */
    @ApiModelProperty(value="案发地详细地点")
    private String caseAddress;

    /**
     * 案发地行政区划编码(到县一级)
     */
    @ApiModelProperty(value="案发地行政区划编码(到县一级)")
    private String caseArea;

    /**
     * 案件所属机构
     */
    @ApiModelProperty(value="案件所属机构")
    private String caseOwnOrgId;

    /**
     * 案件级别: 0=普通案件, 1=紧急案件, 2=加急案件
     */
    @ApiModelProperty(value="案件级别: 0=普通案件, 1=紧急案件, 2=加急案件")
    private Integer caseRank;

    /**
     * 案情简要
     */
    @ApiModelProperty(value="案情简要")
    private String caseBrief;

    /**
     * 案件备注
     */
    @ApiModelProperty(value="案件备注")
    private String comments;

    /**
     * 数据来源，用于区别数据来自自身系统还是外部系统
     */
    @ApiModelProperty(value="数据来源")
    private Integer dataSources;


}
