package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 送检员
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_deliverer")
@ApiModel(value="Deliverer对象", description="送检员")
public class Deliverer implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "送检员拥有者userId")
    private String ownerUserId;

    @ApiModelProperty(value = "送检员姓名")
    private String name;

    @ApiModelProperty(value = "送检员职务")
    private String position;

    @ApiModelProperty(value = "送检员证件名称")
    private String cert;

    @ApiModelProperty(value = "送检员证件编号")
    private String idnum;

    @ApiModelProperty(value = "送检员电话")
    private String phone;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;


}
