package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 实验(检验方法的实例)
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_experiment")
@ApiModel(value="BExperiment对象", description="实验(检验方法的实例)")
public class Experiment implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "检验方法id")
    private String methodId;

    @ApiModelProperty(value = "模板id")
    private String templateId;

    @ApiModelProperty(value = "业务类型,字典中的dlp.identification.business项")
    private Integer business;

    @ApiModelProperty(value = "实验名称")
    private String name;

    @ApiModelProperty(value = "检验人员id")
    private String opUserId;

    @ApiModelProperty(value = "状态: 0=准备中; 1=实验中; 2=实验结束; -1=实验中止")
    private Integer status;

    @ApiModelProperty(value = "实验完成日期")
    private Date finishDate;

    @ApiModelProperty(value = "备注说明")
    private String comments;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;


}
