package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 毛发检测任务
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_hair_job")
@ApiModel(value="HairJob对象", description="毛发检测任务")
public class HairJob implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "根任务id")
    private String rootId;

    @ApiModelProperty(value = "任务名称")
    private String name;

    @ApiModelProperty(value = "任务内容描述说明")
    private String description;

    @ApiModelProperty(value = "任务编号")
    private String jobNo;

    @ApiModelProperty(value = "任务发布单位")
    private String jobIssueOrg;

    @ApiModelProperty(value = "任务执行单位")
    private String jobExecOrg;

    @ApiModelProperty(value = "任务来源")
    private String jobFrom;

    @ApiModelProperty(value = "任务截止日期")
    private Date expirationDate;

    @ApiModelProperty(value = "任务开始日期")
    private Date startDate;

    @ApiModelProperty(value = "任务备注")
    private String comments;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "任务类型: 毛发检测/污水检测...")
    private String jobType;

    @ApiModelProperty(value = "xxx任务检测类型: 毛发检测:社区戒毒人员检测、公职人员、招考人员。/污水检测:污水处理厂、自然水体、其它水体。...")
    private String xxxjobIdentifyType;


}
