package digital.laboratory.platform.identifybook.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 毛发任务的检材信息
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_hair_job_identification_material")
@ApiModel(value="HairJobIdentificationMaterial对象", description="毛发任务的检材信息")
public class HairJobIdentificationMaterial implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "检材id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "任务id")
    private String jobId;

    @ApiModelProperty(value = "根任务id")
    private String jobRootId;

    @ApiModelProperty(value = "检材编号")
    private String imNo;

    @ApiModelProperty(value = "A样编号")
    private String sample1No;

    @ApiModelProperty(value = "B样编号")
    private String sample2No;

    @ApiModelProperty(value = "A样盒子")
    private String sample1BoxId;

    @ApiModelProperty(value = "B样盒子")
    private String sample2BoxId;

    @ApiModelProperty(value = "所有者姓名")
    private String personName;

    @ApiModelProperty(value = "所有者身份证号")
    private String personCard;

    @ApiModelProperty(value = "人员类别")
    private String personType;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "社区戒毒人员在社区执行时间是否超过 6 个月")
    private String executionTime;

    @ApiModelProperty(value = "曾经吸毒种类")
    private String drugType;

    @ApiModelProperty(value = "采样人")
    private String collector;

    @ApiModelProperty(value = "采样单位")
    private String collectorGroup;

    @ApiModelProperty(value = "采样时间")
    private Date collectTime;

    @ApiModelProperty(value = "采样地点")
    private String collectPlace;

    @ApiModelProperty(value = "监督人员")
    private String supervisor;

    @ApiModelProperty(value = "受理时间")
    private Date acceptTime;

    @ApiModelProperty(value = "受理是否通过: 0=未受理, 1=受理通过, -1=受理被拒绝")
    private Integer acceptPassed;

    @ApiModelProperty(value = "备注")
    private String comments;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "检材名称")
    private String name;

    @ApiModelProperty(value = "检材数量")
    private BigDecimal quantity;

    @ApiModelProperty(value = "A样数量")
    private BigDecimal sample1Quantity;

    @ApiModelProperty(value = "B样数量")
    private BigDecimal sample2Quantity;

    @ApiModelProperty(value = "计量单位")
    private String unit;


}
