package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 鉴定文书关联中间表
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_identify_book_relevance")
@ApiModel(value="IdentifyBookRelevance对象", description="鉴定文书关联中间表")
public class IdentifyBookRelevance implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "关联业务ID")
    private String relevanceBusinessId;

    @ApiModelProperty(value = "年")
    private String year;

    @ApiModelProperty(value = "流水号")
    private String serialNumber;

    @ApiModelProperty(value = "鉴定文书业务状态（-1：待制作，0：已制作/重新制作，1：鉴定文书-提交审核，2：鉴定文书-审核通过），-2：鉴定文书-审核未通过，3：鉴定文书-审核退回修改，4：鉴定文书-审批签发成功，-4：鉴定文书-审批拒绝签发，5：鉴定文书-审批签发退回修改，6：鉴定文书-已领取")
    private Integer bookStatus;


}
