package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 委托定量检验结果
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_result_entrustment_ration")
@ApiModel(value="BResultEntrustmentRation对象", description="委托定量检验结果")
public class ResultEntrustmentRation implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "实验id")
    private String experimentId;

    private String sampleId;

    @ApiModelProperty(value = "样本编号,字符串,必填,长度 200")
    private String sampleNo;

    @ApiModelProperty(value = "检材序号, 通常是受理的序号")
    private Integer materialIndex;

    @ApiModelProperty(value = "化合物,必填,长度 200")
    private String compound;

    @ApiModelProperty(value = "定量结果,必填,长度12, 精度8")
    private Double result;

    @ApiModelProperty(value = "备注说明")
    private String comments;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;


}
