package digital.laboratory.platform.identifybook.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;

import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 任务信息表
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_task_notification")
@ApiModel(value="TaskNotification对象", description="任务信息表")
public class TaskNotification extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "消息ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "消息标题")
    private String title;

    @ApiModelProperty(value = "任务类型（1：鉴定文书-审核，2：鉴定文书-审核退回修改，3：鉴定文书-审批，4：鉴定文书-审批退回修改，5：鉴定文书-签发/领取，6：鉴定文书修改/补充-审核，7：鉴定文书修改/补充-审批）")
    private Integer type;

    @ApiModelProperty(value = "业务ID")
    private String businessId;

    @ApiModelProperty(value = "提交人ID")
    private String submitterUserId;

    @ApiModelProperty(value = "提交人姓名")
    private String submitterUserName;

    @ApiModelProperty(value = "提交日期")
    private Date submitterTime;

    @ApiModelProperty(value = "鉴定编号")
    private String acceptNo;

    @ApiModelProperty(value = "案件名称")
    private String caseName;

    @ApiModelProperty(value = "消息内容")
    private String content;

    @ApiModelProperty(value = "处理人员ID")
    private String transactionPersonnelId;

    @ApiModelProperty(value = "办理人姓名")
    private String transactionPersonnelName;

    @ApiModelProperty(value = "办理人权限组")
    private String permissionGroup;

    @ApiModelProperty(value = "处理状态(0: 待处理，1：已处理，2：退回修改，-1：未通过)")
    private Integer status;


}
