package digital.laboratory.platform.identifybook.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.identifybook.dto.EntrustCaseDTO;
import digital.laboratory.platform.identifybook.dto.EntrustmentDTO;
import digital.laboratory.platform.identifybook.entity.Entrustment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.identifybook.req.EntrustmentREQ;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 委托 Mapper 接口
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-17
 */
@Mapper
public interface EntrustmentMapper extends BaseMapper<Entrustment> {

    EntrustCaseDTO getEntrustCaseDTOById(@Param(value = "entrustId") String entrustId);

    IPage<EntrustmentDTO> findEntrustPage(IPage<EntrustmentDTO> page, @Param(value = "req") EntrustmentREQ req);

    List<EntrustmentDTO> findEntrust(@Param(value = "id") String id, @Param(value = "identificationId") String identificationId);

    EntrustmentDTO getEntrustmentDTO(@Param(value = "entrustId") String entrustId);

    long countWSLBSum(@Param("bookStatusList") List<Integer> bookStatusList);
}
