package digital.laboratory.platform.identifybook.req;


import digital.laboratory.platform.identifybook.dto.EntrustmentDTO;
import digital.laboratory.platform.identifybook.utils.BaseRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 委托
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-17
 */
@Data
@ApiModel(value="EntrustmentREQ对象", description="封装条件属性")
public class EntrustmentREQ extends BaseRequest<EntrustmentDTO> implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "参数key")
    private String key;

    @ApiModelProperty(value = "鉴定委托单位编码")
    private String clientOrgId;

    @ApiModelProperty(value = "状态")
    private List<String> bookStatusList;
}
