package digital.laboratory.platform.identifybook.req;

import digital.laboratory.platform.identifybook.entity.TaskNotification;
import digital.laboratory.platform.identifybook.utils.BaseRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023/7/1 14:38
 */

@Data
@Accessors(chain = true)
@ApiModel(value = "TaskNotificationREQ对象", description = "封装任务查询条件")
public class TaskNotificationREQ extends BaseRequest<TaskNotification> {

    @ApiModelProperty(value = "任务模糊查询：（任务标题/任务内容/申请人姓名）")
    private String key;

    @ApiModelProperty(value = "任务类型（1：鉴定文书-审核，2：鉴定文书-审核退回修改，3：鉴定文书-审批，4：鉴定文书-审批退回修改，5：鉴定文书-签发/领取，6：鉴定文书修改/补充-审核，7：鉴定文书修改/补充-审批）")
    private Integer type;

    @ApiModelProperty(value = "处理状态(0: 待处理，1：已处理，2：退回修改，-1：未通过)")
    private List<Integer> statusList;
}
